import 'package:apus_drones_mobile/models/AddressModel.dart';
import 'package:json_annotation/json_annotation.dart';

part 'CustomerModel.g.dart';

@JsonSerializable()
class CustomerModel {
  final int id;
  final String name;
  final String email;
  final String cpfCnpj;
  final String avatarUrl;
  final List<AddressModel>? addresses;

  CustomerModel({
    required this.id,
    required this.name,
    required this.email,
    required this.cpfCnpj,
    required this.avatarUrl,
    this.addresses,
  });

  factory CustomerModel.fromJson(Map<String, dynamic> json) =>
      _$CustomerModelFromJson(json);
  Map<String, dynamic> toJson() => _$CustomerModelToJson(this);
}

class PartialCustomer {
  final int id;

  PartialCustomer(this.id);

  factory PartialCustomer.fromJson(Map<String, dynamic> json) =>
      PartialCustomer(json['id']);
  Map<String, dynamic> toJson() => <String, dynamic>{'id': this.id};
}
