import 'package:apus_drones_mobile/constants/OrderStatus.dart';
import 'package:apus_drones_mobile/models/PartnerModel.dart';
import 'package:json_annotation/json_annotation.dart';
import 'package:apus_drones_mobile/models/CustomerModel.dart';
import 'package:apus_drones_mobile/models/OrderItemModel.dart';

import 'AddressModel.dart';

part 'PartnerOrderModel.g.dart';

@JsonSerializable()
class PartnerOrderModel {
  final int id;
  final CustomerModel customer;
  final PartnerModel partner;
  OrderStatus status;
  final DateTime createdAt;
  final DateTime? expiresAt;
  final List<OrderItemModel> items;
  final double orderPrice;
  final double deliveryPrice;
  final AddressModel deliveryAddress;
  final AddressModel shopAddress;

  PartnerOrderModel(
      {required this.id,
      required this.customer,
      required this.partner,
      required this.status,
      required this.createdAt,
      required this.expiresAt,
      required this.items,
      required this.orderPrice,
      required this.deliveryPrice,
      required this.deliveryAddress,
      required this.shopAddress});

  factory PartnerOrderModel.fromJson(Map<String, dynamic> json) =>
      _$PartnerOrderModelFromJson(json);
  Map<String, dynamic> toJson() => _$PartnerOrderModelToJson(this);
}
