import 'package:shared_preferences/shared_preferences.dart';

class ProductsToDeliverStateProvider {
  final spKey = 'PRODUCTS_PICKED_UP';

  Future<List<int>> getProducts() async {
    final preferences = await SharedPreferences.getInstance();
    List<String>? list = preferences.getStringList(spKey);
    if (list == null) {
      list = [];
      preferences.setStringList(spKey, list);
    }
    return list.map((l) => int.tryParse(l) ?? 0).toList();
  }

  Future<bool> setProducts(List<int> products) async {
    final preferences = await SharedPreferences.getInstance();
    preferences.setStringList(
        spKey, products.map((p) => p.toString()).toList());
    return true;
  }

  Future<void> clear() async {
    final preferences = await SharedPreferences.getInstance();
    preferences.remove(spKey);
  }

  Future<bool> addProduct(int productId) async {
    List<int> list = await this.getProducts();
    list.add(productId);
    return await this.setProducts(list);
  }
}
