import 'package:apus_drones_mobile/models/PartnerOrderModel.dart';
import 'package:flutter/material.dart';
import 'package:intl/intl.dart';

class PartnerOrderDetailsHeader extends StatelessWidget {
  final PartnerOrderModel order;
  const PartnerOrderDetailsHeader({Key? key, required this.order})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
        margin: EdgeInsets.symmetric(vertical: 12.0),
        child: Column(
          children: [
            Text(
              this.order.customer.name,
              style: TextStyle(fontSize: 16),
            ),
            Text(DateFormat('dd/MM/yyyy HH:mm:ss')
                .format(this.order.createdAt.toLocal())),
            Text('E-mail: ${this.order.customer.email}'),
            Text('Entrega em: ${this.order.deliveryAddress}'),
          ],
        ));
  }
}
