import 'package:flutter/material.dart';

class Price extends StatelessWidget {
  final TextStyle? style;
  final double price;
  final bool? disabled;
  const Price({Key? key, this.style, required this.price, this.disabled})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      child: Text(
        'R\$ ${this.price.toStringAsFixed(2)}',
        style: _getStyle(),
      ),
    );
  }

  TextStyle? _getStyle() {
    if (this.disabled ?? false) {
      TextStyle newStyle = this.style ?? TextStyle();
      return newStyle.apply(color: Colors.grey);
    }
    return this.style;
  }
}
